--- old/usr/src/cmd/rpcgen/rpc_svcout.c	Sun Aug  3 11:09:17 2014
+++ new/usr/src/cmd/rpcgen/rpc_svcout.c	Sun Aug  3 11:09:17 2014
@@ -20,6 +20,8 @@
  */
 
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -75,13 +77,8 @@
 static void
 p_xdrfunc(char *rname, char *typename)
 {
-	if (Cflag) {
-		f_print(fout, "\t\t_xdr_%s = (xdrproc_t)\n", rname);
-		f_print(fout, "\t\t    xdr_%s;\n", stringfix(typename));
-	} else {
-		f_print(fout, "\t\t_xdr_%s = xdr_%s;\n",
-		    rname, stringfix(typename));
-	}
+	f_print(fout, "\t\t_xdr_%s = (xdrproc_t)\n", rname);
+	f_print(fout, "\t\t    xdr_%s;\n", stringfix(typename));
 }
 
 static void
@@ -300,7 +297,7 @@
 			} else {
 				f_print(fout,
 				"\t\t(void) signal(SIGALRM, %s closedown);\n",
-				    Cflag? "(SIG_PF)":"(void(*)())");
+				    "(SIG_PF)");
 				f_print(fout,
 "\t\t(void) alarm(_RPCSVC_CLOSEDOWN/2);\n");
 				f_print(fout, "\t}\n");
@@ -367,54 +364,28 @@
 				f_print(fout, "int");
 			f_print(fout, "\n_");
 			pvname(proc->proc_name, vp->vers_num);
-			if (Cflag) {
-				f_print(fout, "(\n");
-				f_print(fout, "    ");
-				/* arg name */
-				if (proc->arg_num > 1)
-					/* LINTED variable format */
-					f_print(fout, proc->args.argname);
-				else
-					ptype(proc->args.decls->decl.prefix,
-					    proc->args.decls->decl.type, 0);
-				f_print(fout, " *argp,\n");
-				if (mtflag) {
-					f_print(fout, "    ");
-					ptype(proc->res_prefix,
-					    proc->res_type, 1);
-					f_print(fout, "*%s,\n", RESULT);
-				}
-				f_print(fout, "    struct svc_req *%s)\n",
-				    RQSTP);
 
-			} else {
-				if (mtflag)
-					f_print(fout, "(argp, %s, %s)\n",
-					    RESULT, RQSTP);
-				else
-					f_print(fout, "(argp, %s)\n", RQSTP);
-				/* arg name */
-				if (proc->arg_num > 1)
-					f_print(fout, "\t%s *argp;\n",
-					    proc->args.argname);
-				else {
-					f_print(fout, "\t");
-					ptype(proc->args.decls->decl.prefix,
-					    proc->args.decls->decl.type, 0);
-					f_print(fout, " *argp;\n");
-				}
-				if (mtflag)
-					f_print(fout, "\tvoid *%s;\n", RESULT);
-				f_print(fout, "\tstruct svc_req *%s;\n", RQSTP);
+			f_print(fout, "(\n");
+			f_print(fout, "    ");
+			/* arg name */
+			if (proc->arg_num > 1)
+				/* LINTED variable format */
+				f_print(fout, proc->args.argname);
+			else
+				ptype(proc->args.decls->decl.prefix,
+				    proc->args.decls->decl.type, 0);
+			f_print(fout, " *argp,\n");
+			if (mtflag) {
+				f_print(fout, "    ");
+				ptype(proc->res_prefix, proc->res_type, 1);
+				f_print(fout, "*%s,\n", RESULT);
 			}
+			f_print(fout, "    struct svc_req *%s)\n", RQSTP);
 
 			f_print(fout, "{\n");
 			f_print(fout, "\treturn (");
 			/* for mtflag, arguments are different */
-			if (Cflag || mtflag)
-				pvname_svc(proc->proc_name, vp->vers_num);
-			else
-				pvname(proc->proc_name, vp->vers_num);
+			pvname_svc(proc->proc_name, vp->vers_num);
 			f_print(fout, "(");
 			if (proc->arg_num < 2) { /* single argument */
 				/* only print if non-void */
@@ -450,14 +421,8 @@
 		f_print(fout, "void\n");
 		pvname(def->def_name, vp->vers_num);
 
-		if (Cflag) {
-			f_print(fout, "(struct svc_req *%s, ", RQSTP);
-			f_print(fout, "register SVCXPRT *%s)\n", TRANSP);
-		} else {
-			f_print(fout, "(%s, %s)\n", RQSTP, TRANSP);
-			f_print(fout, "	struct svc_req *%s;\n", RQSTP);
-			f_print(fout, "	register SVCXPRT *%s;\n", TRANSP);
-		}
+		f_print(fout, "(struct svc_req *%s, ", RQSTP);
+		f_print(fout, "register SVCXPRT *%s)\n", TRANSP);
 
 		f_print(fout, "{\n");
 
@@ -511,26 +476,15 @@
 		} else
 			f_print(fout, "\tchar *%s;\n", RESULT);
 
-		if (Cflag) {
-			f_print(fout, "\txdrproc_t _xdr_%s, _xdr_%s;\n",
-			    ARG, RESULT);
-			if (mtflag)
-				f_print(fout,
-"\tbool_t (*%s)(char *, void *, struct svc_req *);\n",
-				    ROUTINE);
-			else
-				f_print(fout,
-"\tchar *(*%s)(char *, struct svc_req *);\n",
-				    ROUTINE);
-		} else {
-			f_print(fout,
-			    "\tbool_t (*_xdr_%s)(), (*_xdr_%s)();\n",
-			    ARG, RESULT);
-			if (mtflag)
-				f_print(fout, "\tbool_t (*%s)();\n", ROUTINE);
-			else
-				f_print(fout, "\tchar *(*%s)();\n", ROUTINE);
-		}
+		f_print(fout, "\txdrproc_t _xdr_%s, _xdr_%s;\n", ARG, RESULT);
+		if (mtflag)
+			f_print(fout, "\tbool_t "
+			    "(*%s)(char *, void *, struct svc_req *);\n",
+			    ROUTINE);
+		else
+			f_print(fout, "\tchar *(*%s)"
+			    "(char *, struct svc_req *);\n",
+			    ROUTINE);
 		f_print(fout, "\n");
 
 		if (timerflag) {
@@ -548,9 +502,7 @@
 		if (!nullproc(vp->procs)) {
 			f_print(fout, "\tcase NULLPROC:\n");
 			f_print(fout,
-			    Cflag ?
-"\t\t(void) svc_sendreply(%s,\n\t\t    (xdrproc_t)xdr_void, NULL);\n" :
-"\t\t(void) svc_sendreply(%s, xdr_void,\n\t\t\tNULL);\n",
+"\t\t(void) svc_sendreply(%s,\n\t\t    (xdrproc_t)xdr_void, NULL);\n",
 			    TRANSP);
 			print_return("\t\t");
 			f_print(fout, "\n");
@@ -569,27 +521,16 @@
 			} else {
 				p_xdrfunc(RESULT, proc->res_type);
 			}
-			if (Cflag) {
-				if (mtflag) {
-					f_print(fout,
-					    "\t\t%s = (bool_t (*) (char *,  "
-					    "void *,  struct svc_req *))",
-					    ROUTINE);
-				} else {
-					f_print(fout,
-					    "\t\t%s = (char *(*)(char *, "
-					    "struct svc_req *))",
-					    ROUTINE);
-				}
+			if (mtflag) {
+				f_print(fout,
+				    "\t\t%s = (bool_t (*) (char *,  "
+				    "void *,  struct svc_req *))",
+				    ROUTINE);
 			} else {
-				if (mtflag) {
-					f_print(fout,
-					    "\t\t%s = (bool_t (*)())",
-					    ROUTINE);
-				} else {
-					f_print(fout, "\t\t%s = (char *(*)())",
-					    ROUTINE);
-				}
+				f_print(fout,
+				    "\t\t%s = (char *(*)(char *, "
+				    "struct svc_req *))",
+				    ROUTINE);
 			}
 
 			f_print(fout, "\n\t\t    ");
@@ -596,7 +537,7 @@
 			if (newstyle) { /* new style: calls internal routine */
 				f_print(fout, "_");
 			}
-			if ((Cflag || mtflag) && !newstyle)
+			if (!newstyle)
 				pvname_svc(proc->proc_name, vp->vers_num);
 			else
 				pvname(proc->proc_name, vp->vers_num);
@@ -617,26 +558,17 @@
 		f_print(fout, "\t}\n");
 
 		if (!mtflag)
-			if (Cflag)
-				f_print(fout,
-				    "\t%s = (*%s)((char *)&%s, %s);\n",
-				    RESULT, ROUTINE, ARG, RQSTP);
-			else
-				f_print(fout, "\t%s = (*%s)(&%s, %s);\n",
-				    RESULT, ROUTINE, ARG, RQSTP);
+			f_print(fout,
+			    "\t%s = (*%s)((char *)&%s, %s);\n",
+			    RESULT, ROUTINE, ARG, RQSTP);
 		else
-			if (Cflag)
-				f_print(fout,
-"\t%s = (bool_t)(*%s)((char *)&%s, (void *)&%s, %s);\n",
-				    RETVAL, ROUTINE, ARG, RESULT, RQSTP);
-			else
-				f_print(fout,
-"\t%s = (bool_t)(*%s)(&%s, &%s, %s);\n",
-				    RETVAL, ROUTINE, ARG, RESULT, RQSTP);
+			f_print(fout,
+			    "\t%s = (bool_t)(*%s)"
+			    "((char *)&%s, (void *)&%s, %s);\n",
+			    RETVAL, ROUTINE, ARG, RESULT, RQSTP);
 
 
 
-
 		if (mtflag)
 			f_print(fout,
 "\tif (_xdr_%s && %s > 0 &&\n"
@@ -813,20 +745,10 @@
 {
 	f_print(fout, "\n");
 	f_print(fout, "#if\tdefined(RPC_MSGOUT)\n");
-	if (!Cflag) {
-		f_print(fout, "extern void RPC_MSGOUT();\n");
-	} else {
-		f_print(fout, "extern void RPC_MSGOUT(const char *, ...);\n");
-	}
+	f_print(fout, "extern void RPC_MSGOUT(const char *, ...);\n");
 	f_print(fout, "#else\t/* defined(RPC_MSGOUT) */\n");
 	f_print(fout, "static ");
-	if (!Cflag) {
-		f_print(fout, "void\nRPC_MSGOUT(fmt, msg)\n");
-		f_print(fout, "\tchar *fmt;\n");
-		f_print(fout, "\tchar *msg;\n");
-	} else {
-		f_print(fout, "void\nRPC_MSGOUT(const char *fmt, char *msg)\n");
-	}
+	f_print(fout, "void\nRPC_MSGOUT(const char *fmt, char *msg)\n");
 	f_print(fout, "{\n");
 	f_print(fout, "#ifdef RPC_SVC_FG\n");
 	if (inetdflag || pmflag)
@@ -856,11 +778,7 @@
 	if (mtflag) {
 		f_print(fout, "/*ARGSUSED*/\n");
 		f_print(fout, "static void *\n");
-		if (!Cflag) {
-			f_print(fout, "closedown(arg)\n");
-			f_print(fout, "\tvoid *arg;\n");
-		} else
-			f_print(fout, "closedown(void *arg)\n");
+		f_print(fout, "closedown(void *arg)\n");
 		f_print(fout, "{\n");
 		f_print(fout, "\t/*CONSTCOND*/\n");
 		f_print(fout, "\twhile (1) {\n");
@@ -903,11 +821,7 @@
 	}
 
 	f_print(fout, "static void\n");
-	if (!Cflag) {
-		f_print(fout, "closedown(sig)\n");
-		f_print(fout, "\tint sig;\n");
-	} else
-		f_print(fout, "closedown(int sig)\n");
+	f_print(fout, "closedown(int sig)\n");
 	f_print(fout, "{\n");
 	f_print(fout, "\tif (_rpcsvcstate == _IDLE && _rpcsvccount == 0) {\n");
 	if (tirpcflag) {
@@ -937,8 +851,7 @@
 	f_print(fout, "\t} else\n");
 	f_print(fout, "\t\t_rpcsvcstate = _IDLE;\n\n");
 
-	f_print(fout, "\t(void) signal(SIGALRM, %s closedown);\n",
-	    Cflag? "(SIG_PF)" : "(void(*)())");
+	f_print(fout, "\t(void) signal(SIGALRM, (SIG_PF) closedown);\n");
 	f_print(fout, "\t(void) alarm(_RPCSVC_CLOSEDOWN/2);\n");
 	f_print(fout, "}\n");
 }
@@ -1027,8 +940,7 @@
 			f_print(fout, "\t\t\t}\n");
 		} else {
 			f_print(fout,
-"\t\t\t(void) signal(SIGALRM, %s closedown);\n",
-			    Cflag? "(SIG_PF)" : "(void(*)())");
+"\t\t\t(void) signal(SIGALRM, (SIG_PF) closedown);\n");
 			f_print(fout,
 "\t\t\t(void) alarm(_RPCSVC_CLOSEDOWN/2);\n");
 		}
